Post by Nawid » Sat Sep 07, 2013 1:15 am

Thank you, will start update and backup process.

User avatar
Newbie

Posts

Joined
Fri Aug 19, 2011 6:47 am

Post by Nawid » Sun Sep 08, 2013 3:19 am

Thank you for this great Upgrade Script.
Upgrade succesfully done, have now version OC 1.5.6

Best regards,
Nawid

User avatar
Newbie

Posts

Joined
Fri Aug 19, 2011 6:47 am

Post by jake9891 » Mon Sep 16, 2013 6:37 am

"UNZIP AND UPLOAD ALL THE NEW OPENCART FILES OVER YOUR EXISTING FILES"

Does this step means any new files or 1.5.1.2? If 1.5.1.2, then where do I download it, because this link doesn't work:

http://opencart.googlecode.com/files/op ... .5.1.2.zip

Thanks

Newbie

Posts

Joined
Tue Jul 02, 2013 7:42 am

Post by Qphoria » Mon Sep 16, 2013 10:50 pm

The latest version of opencart... try the download link at the top of this site

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by SRAndreas » Mon Sep 23, 2013 5:34 pm

Hi,

I was upgrading from 1.4.9.5 to 1.5.6

I received following error:

OpenCart 1.x Upgrade Script (BETA)

The following errors occured:

Could not execute this query: INSERT INTO `oc_option_description` (`option_id`, `language_id`, `name`)SELECT `product_option_id`, `language_id`, `name` FROM `oc_product_option_description`; Table 'ecoplant_ocar753.oc_product_option_description' doesn't exist

Could not execute this query: INSERT INTO `oc_option_value_description` (`option_value_id`, `language_id`, `option_id`, `name`)SELECT `pov`.`product_option_value_id` , `language_id` , `pov`.`product_option_id` , `name`FROM `oc_product_option_value_description` AS `povd` INNER JOIN `oc_product_option_value` AS `pov` ON `pov`.`product_option_value_id` = `povd`.`product_option_value_id`; Table 'ecoplant_ocar753.oc_product_option_value_description' doesn't exist

The above errors occurred because the script could not properly determine the existing state of those db elements. Your store may not need those changes. Please post any errors on the forums to ensure that they can be addressed in future versions!

Is it an error or I simply don't need those changes? ???

Newbie

Posts

Joined
Mon Sep 23, 2013 5:31 pm

Post by scorbic » Wed Sep 25, 2013 8:21 am

Get the following error Version 1.4.2:

Notice: Error: Unknown column 'store_id' in 'where clause'
Error No: 1054
SELECT * FROM setting WHERE store_id = '0' OR store_id = '0' ORDER BY store_id ASC in /home/gdorsett/public_html/system/database/mysql.php on line 50

Newbie

Posts

Joined
Wed Sep 25, 2013 8:19 am

Post by zoran1209 » Tue Oct 01, 2013 9:55 pm

Hi,
I have upgrade from 1.4.9 to latest (i think), but i have problems. If anybody read this and if can help...please help...
When i want to change something in system>settings>my store i got message error warning... i cannot change anything. Also on my home screen i dont have menu at all and dont know where to enable...
Please, if somebody , i need help.
Thanx a lot!

Newbie

Posts

Joined
Mon Mar 04, 2013 10:43 pm

Post by robmccann » Thu Oct 10, 2013 7:33 pm

Just ran the upgrade script. Here are my errors:

OpenCart 1.x Upgrade Script (BETA)


The following errors occured:

Could not execute this query: INSERT INTO `option` (`option_id`, `type`, `sort_order`)SELECT `product_option_id`, "select", `sort_order` FROM `product_option`; Unknown column 'sort_order' in 'field list'


Could not execute this query: INSERT INTO `option_description` (`option_id`, `language_id`, `name`)SELECT `product_option_id`, `language_id`, `name` FROM `product_option_description`; Table 'geeklea1_oxtest.product_option_description' doesn't exist


Could not execute this query: INSERT INTO `option_value` (`option_value_id`, `option_id`, `sort_order`)SELECT `product_option_value_id`, `product_option_id`, `sort_order` FROM `product_option_value`; Unknown column 'sort_order' in 'field list'


Could not execute this query: INSERT INTO `option_value_description` (`option_value_id`, `language_id`, `option_id`, `name`)SELECT `pov`.`product_option_value_id` , `language_id` , `pov`.`product_option_id` , `name`FROM `product_option_value_description` AS `povd` INNER JOIN `product_option_value` AS `pov` ON `pov`.`product_option_value_id` = `povd`.`product_option_value_id`; Table 'geeklea1_oxtest.product_option_value_description' doesn't exist


The above errors occurred because the script could not properly determine the existing state of those db elements. Your store may not need those changes. Please post any errors on the forums to ensure that they can be addressed in future versions!

Newbie

Posts

Joined
Thu Oct 10, 2013 7:30 pm

Post by 4bco » Fri Oct 11, 2013 4:20 am

I just upgrade and received the following error message....

Notice: Undefined index: en in /home/d2cd2c/public_html/store/index.php on line 178Notice: Undefined index: en in /home/d2cd2c/public_html/store/index.php on line 179Notice: Undefined index: en in /home/d2cd2c/public_html/store/index.php on line 182Notice: Undefined index: en in /home/d2cd2c/public_html/store/index.php on line 183Notice: Error: Could not load language ! in /home/d2cd2c/public_html/store/system/library/language.php on line 39

Custom Website Design from BCO ~ Building Companies Online
If we were of assistance to you, please help my family in return with a small donation.


Newbie

Posts

Joined
Wed Jun 29, 2011 11:40 pm

Post by diamondtechnos » Sat Nov 09, 2013 9:19 pm

Hello, I,m having issues when i upgrade from 1.4.x to 1.5.x. after successful upgrade, when i click on setting and edit, this is error message: Notice: Error: Could not load model design/layout! in /home/computer/public_html/system/engine/loader.php on line 37...... Please I need help


Posts

Joined
Fri Sep 20, 2013 10:22 pm

Post by kosepusen » Tue Jan 07, 2014 4:51 pm

After upgrade, my site is blank, and when I try to login:
Notice: Error: Unknown column 'salt' in 'where clause'
Error No: 1054

/httpdocs/system/database/mysql.php on line 50

Newbie

Posts

Joined
Tue Jan 07, 2014 4:49 pm

Post by Qphoria » Tue Jan 07, 2014 10:56 pm

kosepusen wrote:After upgrade, my site is blank, and when I try to login:
Notice: Error: Unknown column 'salt' in 'where clause'
Error No: 1054

/httpdocs/system/database/mysql.php on line 50
That means you didn't follow the steps. Go back and start from AFTER you run this script... there are several more steps

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by nagoyajin » Wed Jan 08, 2014 9:28 pm

If I understand the instructions correctly, this script is for upgrading from 1.4.x to 1.5.1.2. The download links on the site only go back as far as 1.5.4. Where is 1.5.1.2 download available? If it's not available, I have an old copy of 1.5.1.1. Will the script work with that?

Newbie

Posts

Joined
Sun Oct 28, 2012 9:57 am

Post by Qphoria » Fri Jan 17, 2014 12:00 am

nagoyajin wrote:If I understand the instructions correctly, this script is for upgrading from 1.4.x to 1.5.1.2. The download links on the site only go back as far as 1.5.4. Where is 1.5.1.2 download available? If it's not available, I have an old copy of 1.5.1.1. Will the script work with that?
No and no... it doesn't say that.

Code: Select all

Upgrading to versions later than 1.5.1.2
As I said above, this script will bring your database to version 1.5.1.2
If you are installing straight to a later version, like 1.5.1.3, then you simply need to first follow the upgrade step by step guide from this Beta3, installing the latest version of opencart. Then after you complete this script, you can run the installer that comes with 1.5.1.3 or later.

1. Run this Beta3 Script first by following the step-by-step guide that comes with it
2. After following this Beta3 script, follow the upgrade.txt file that comes with the latest version of OpenCart.
3. Done!
It explains that it brings the "DATABASE" to 1.5.1.2 and if going to a later version, you simply need to run the second upgrade script that comes with the newer version AFTER this one to complete the process. So upgrade directly to 1.5.6.1 and run this beta script. That will leave your store in a mixed state of files=1.5.6.1 and db=1.5.1.2. From there you simply run the built in upgrade script that comes with newer versions of opencart. That will take your db from 1.5.1.2 to 1.5.6.1

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by JBRodex » Tue Jan 21, 2014 6:26 am

Hi,
I tried to do upgrade from 1.4.9.3 to 1.5.6.. followed beta3 step by step, after running script it said succesfull... but then nothing. Canť see shop, can't see admin, can't see upgrade on http://mysite.com/install/index.php ...
I tried to did all these steps 3 times, allways the same result. DB is updated, but can't do anything else.
Any hint?

Newbie

Posts

Joined
Fri Feb 18, 2011 6:27 am

Post by Qphoria » Fri Jan 24, 2014 10:30 pm

JBRodex wrote:Hi,
I tried to do upgrade from 1.4.9.3 to 1.5.6.. followed beta3 step by step, after running script it said succesfull... but then nothing. Canť see shop, can't see admin, can't see upgrade on http://mysite.com/install/index.php ...
I tried to did all these steps 3 times, allways the same result. DB is updated, but can't do anything else.
Any hint?
http://forum.opencart.com/viewtopic.php?f=170&t=50555

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by maestro » Sat Jan 25, 2014 12:41 am

Hey guys I must say this has come a long way. Latest versions look nice. I installed opencart in 2011 and havent upgraded since. Finally looking to do so, so i downloaded the Beta3-upgrade-14x-to-15x-YES-OPTv4.zip on the first page. I realise it says in the 'install' folder, upgrade-14x-to-15x.sql.. ### THIS IS THE "NOT PRESERVED" OPTIONS VERSION OF THE 1.4.9.5 TO 1.5.0.3 UPGRADE SCRIPT ### DO NOT USE THIS UNLESS YOU DONT USE OPTIONS OR DONT CARE THAT THEY ARE NOT PRESERVED ### THIS VERSION WILL OVERWRITE THE PRODUCT OPTION TABLES AND CLEAR ANY EXISTING DATA FOR PRODUCT OPTIONS ###

So what i want to is, is there a preserved version or am I missing something. Thanks for any help, will be greatly appreciated.

Newbie

Posts

Joined
Wed Feb 02, 2011 2:30 am

Post by maestro » Sat Jan 25, 2014 2:06 am

Please can anyone point me in the right direction with this?

Newbie

Posts

Joined
Wed Feb 02, 2011 2:30 am

Post by Qphoria » Wed Jan 29, 2014 5:41 am

maestro wrote:Hey guys I must say this has come a long way. Latest versions look nice. I installed opencart in 2011 and havent upgraded since. Finally looking to do so, so i downloaded the Beta3-upgrade-14x-to-15x-YES-OPTv4.zip on the first page. I realise it says in the 'install' folder, upgrade-14x-to-15x.sql.. ### THIS IS THE "NOT PRESERVED" OPTIONS VERSION OF THE 1.4.9.5 TO 1.5.0.3 UPGRADE SCRIPT ### DO NOT USE THIS UNLESS YOU DONT USE OPTIONS OR DONT CARE THAT THEY ARE NOT PRESERVED ### THIS VERSION WILL OVERWRITE THE PRODUCT OPTION TABLES AND CLEAR ANY EXISTING DATA FOR PRODUCT OPTIONS ###

So what i want to is, is there a preserved version or am I missing something. Thanks for any help, will be greatly appreciated.
Yea that's likely old text that never got updated... the v4 version does have option preservation

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by msmith » Thu Jan 30, 2014 11:09 pm

Hi I used the script to update from 1.4.9.6, followed all instructions and finally ended up with v1.5.6.1, but I'm getting a blank page for account pages (account/account, account/wishlist, etc). Have been looking for a solution but haven't found one that fixes this... The errors I'm getting on the page are:

Code: Select all

Warning: Invalid argument supplied for foreach() in /home/xxxxx/public_html/catalog/controller/common/column_left.php on line 49Warning: Invalid argument supplied for foreach() in /home/xxxxx/public_html/catalog/controller/common/column_right.php on line 49Warning: Invalid argument supplied for foreach() in /home/xxxxx/public_html/catalog/controller/common/content_top.php on line 49Notice: Error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'option o LEFT JOIN option_description od ON (o.option_id = od.option_id A' at line 2
Error No: 1064
SELECT o.option_id, o.type, od.name, o.sort_order, COUNT(po.product_id) AS total_product FROM option o LEFT JOIN option_description od ON (o.option_id = od.option_id AND od.language_id = 2) INNER JOIN product_option po ON (o.option_id = po.option_id) INNER JOIN product p ON (po.product_id = p.product_id) WHERE p.status = 1 GROUP BY o.option_id ORDER BY o.sort_order ASC in /home/xxxxx/public_html/system/database/mysql.php on line 50
Can anyone help me please ?

(By the way, admin seems to work fine)

Newbie

Posts

Joined
Mon Oct 18, 2010 8:57 pm
Who is online

Users browsing this forum: No registered users and 16 guests